#include "FreeImage.h"

int main() {
	const char *fileName = "sample.tif";
	int depth;
	int i;

	FIMULTIBITMAP *mdib;
	FIBITMAP *dib;
	FREE_IMAGE_FORMAT fif = FreeImage_GetFIFFromFilename(fileName);

	mdib = FreeImage_OpenMultiBitmap(fif, fileName, 0, 1, 0, 0);
	depth = FreeImage_GetPageCount(mdib);

	for (i=0;i<depth;++i) {
		dib = FreeImage_LockPage(mdib, i);
		FreeImage_UnlockPage(mdib, dib, 0);
	}
	FreeImage_CloseMultiBitmap(mdib, 0);

	return 0;
}
